libzypp 17.37.10

zypp::bit::Range< TInt, _begin, _size > Struct Template Reference

Range of bits starting at bit _begin with length _size. More...

`#include <zypp/Bit.h>`

Inheritance diagram for zypp::bit::Range< TInt, _begin, _size >:

## Public Types
using | IntT = TInt
using | MaxBits = zypp::bit::MaxBits<IntT>
using | Mask = zypp::bit::Mask<IntT, _begin, _size>

## Static Public Attributes
static const unsigned | begin = _begin
static const unsigned | size = _size
static const unsigned | end = _begin + _size

## Detailed Description

template<class TInt, unsigned _begin, unsigned _size>
struct zypp::bit::Range< TInt, _begin, _size >

Range of bits starting at bit _begin with length _size.

Definition at line 81 of file Bit.h.

## Member Typedef Documentation

## ◆ IntT

template<class TInt, unsigned _begin, unsigned _size>

using zypp::bit::Range< TInt, _begin, _size >::IntT = TInt

Definition at line 83 of file Bit.h.

## ◆ MaxBits

template<class TInt, unsigned _begin, unsigned _size>

using zypp::bit::Range< TInt, _begin, _size >::MaxBits = zypp::bit::MaxBits<IntT>

Definition at line 84 of file Bit.h.

## ◆ Mask

template<class TInt, unsigned _begin, unsigned _size>

using zypp::bit::Range< TInt, _begin, _size >::Mask = zypp::bit::Mask<IntT, _begin, _size>

Definition at line 85 of file Bit.h.

## Member Data Documentation

## ◆ begin

template<class TInt, unsigned _begin, unsigned _size>

const unsigned zypp::bit::Range< TInt, _begin, _size >::begin = _begin
| static

Definition at line 87 of file Bit.h.

## ◆ size

template<class TInt, unsigned _begin, unsigned _size>

const unsigned zypp::bit::Range< TInt, _begin, _size >::size = _size
| static

Definition at line 88 of file Bit.h.

## ◆ end

template<class TInt, unsigned _begin, unsigned _size>

const unsigned zypp::bit::Range< TInt, _begin, _size >::end = _begin + _size
| static

Definition at line 89 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h